{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('company_location_management/hall_of_inspiration/detail') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('company_location_management/hall_of_inspiration/detail') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-2">
        <a href="{{ path('company_location_management_hall_of_inspiration_overview') }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Hall of Inspiration – {{ hallOfInspirationConcept.getBrandName() }}</span>
        <img class="ms-auto mh-69px" src="{{ asset('build/images/llasm-logo.png') }}" alt="Leerstandslotsen">
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="row">
            <div class="col-sm-6 col-lg-8">
                <div class="mdc-card mb-4 p-4">
                    <div class="mb-2 d-flex pe-3">
                        <div class="d-flex flex-column me-auto">
                            <h2>{{ hallOfInspirationConcept.getBrandName() }}</h2>
                        </div>
                        <div class="d-flex">
                            {% if hallOfInspirationConcept.getInstagram() != null %}
                                <a href="{{ hallOfInspirationConcept.getInstagram() }}" target="_blank" class="flex-column ms-0">
                                    <svg focusable="false" aria-hidden="true" viewBox="0 0 24 24" class="material-icons mdc-icon-button">
                                        <path d="M7.8 2h8.4C19.4 2 22 4.6 22 7.8v8.4a5.8 5.8 0 0 1-5.8 5.8H7.8C4.6 22 2 19.4 2 16.2V7.8A5.8 5.8 0 0 1 7.8 2m-.2 2A3.6 3.6 0 0 0 4 7.6v8.8C4 18.39 5.61 20 7.6 20h8.8a3.6 3.6 0 0 0 3.6-3.6V7.6C20 5.61 18.39 4 16.4 4H7.6m9.65 1.5a1.25 1.25 0 0 1 1.25 1.25A1.25 1.25 0 0 1 17.25 8 1.25 1.25 0 0 1 16 6.75a1.25 1.25 0 0 1 1.25-1.25M12 7a5 5 0 0 1 5 5 5 5 0 0 1-5 5 5 5 0 0 1-5-5 5 5 0 0 1 5-5m0 2a3 3 0 0 0-3 3 3 3 0 0 0 3 3 3 3 0 0 0 3-3 3 3 0 0 0-3-3z"></path>
                                    </svg>
                                </a>
                            {% endif %}
                            {% if hallOfInspirationConcept.getLinkedIn() != null %}
                                <a href="{{ hallOfInspirationConcept.getLinkedIn() }}" target="_blank" class="flex-column ms-1">
                                    <svg focusable="false" aria-hidden="true" viewBox="0 0 24 24" class="material-icons mdc-icon-button">
                                        <path d="M19 3a2 2 0 0 1 2 2v14a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h14m-.5 15.5v-5.3a3.26 3.26 0 0 0-3.26-3.26c-.85 0-1.84.52-2.32 1.3v-1.11h-2.79v8.37h2.79v-4.93c0-.77.62-1.4 1.39-1.4a1.4 1.4 0 0 1 1.4 1.4v4.93h2.79M6.88 8.56a1.68 1.68 0 0 0 1.68-1.68c0-.93-.75-1.69-1.68-1.69a1.69 1.69 0 0 0-1.69 1.69c0 .93.76 1.68 1.69 1.68m1.39 9.94v-8.37H5.5v8.37h2.77z"></path>
                                    </svg>
                                </a>
                            {% endif %}
                        </div>
                    </div>
                    <div class="d-flex flex-wrap mb-3">
                        {% for branch in hallOfInspirationConcept.getHallOfInspirationConceptBranches() %}
                            <div class="branch px-2 py-1 me-2 mb-2">
                                {{ branch.getName() }}
                            </div>
                        {% endfor %}
                    </div>
                    <p>
                        {{ hallOfInspirationConcept.getConceptDescription() }}
                    </p>
                    <div id="concept_tag_container">
                        {% if hallOfInspirationConcept.getCompanyValues() != null %}
                            {% for companyValue in hallOfInspirationConcept.getCompanyValues() %}
                                {% include 'company_location_management/component/hall_of_inspiration/company_value_icon_component.html.twig' with {'companyValue': companyValue, 'count': loop.index} only %}
                            {% endfor %}
                        {% endif %}
                    </div>
                </div>
            </div>
            <div class="col-sm-6 col-lg-4">
                <div class="mdc-card mb-4">
                    <div id="carouselExampleIndicators" class="carousel slide" data-coreui-ride="false">
                        <div class="carousel-indicators">
                            {% for image in hallOfInspirationConcept.images %}
                                <button type="button" data-coreui-target="#carouselExampleIndicators" data-coreui-slide-to="{{ (loop.index - 1) }}" {% if loop.first %}class="active" aria-current="true"{% endif %} aria-label="Slide {{ loop.index }}"></button>
                            {% endfor %}
                        </div>
                        <div class="carousel-inner" role="listbox">
                            {% for image in hallOfInspirationConcept.images %}
                                {% if image.getPublicThumbnailUrl() != null %}
                                    {% set imageUrl = image.getPublicThumbnailUrl() %}
                                {% else %}
                                    {% set imageUrl = image.getPublicUrl() %}
                                {% endif %}
                                {% if image.getTitle() != null %}
                                    {% set title = image.getTitle() %}
                                {% else %}
                                    {% set title = 'Bild ' ~ loop.index %}
                                {% endif %}
                                <div class="carousel-item {% if loop.first %}active{% endif %}">
                                    <img src="{{ imageUrl }}" class="d-block w-100" alt="{{ title }}">
                                </div>
                            {% endfor %}
                        </div>
                        <button class="carousel-control-prev" type="button" data-coreui-target="#carouselExampleIndicators" data-coreui-slide="prev">
                            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                            <span class="visually-hidden">Previous</span>
                        </button>
                        <button class="carousel-control-next" type="button" data-coreui-target="#carouselExampleIndicators" data-coreui-slide="next">
                            <span class="carousel-control-next-icon" aria-hidden="true"></span>
                            <span class="visually-hidden">Next</span>
                        </button>
                    </div>
                </div>
            </div>
        </div>
        <div class="row mb-4">
            <div class="col-12 col-lg-8">
                <div class="mdc-card mb-4 p-4 h-100">
                    {% if hallOfInspirationConcept.getUsp() != null %}
                        <h3 class="fs-4">Alleinstellungsmerkmal / USP</h3>
                        <p>
                            {{ hallOfInspirationConcept.getUsp() }}
                        </p>
                    {% endif %}

                    {% if hallOfInspirationConcept.getExperience() != null %}
                        <h3 class="fs-4">Erfahrungen & Herausforderungen</h3>
                        <p>
                            {{ hallOfInspirationConcept.getExperience() }}
                        </p>
                    {% endif %}

                    {% if hallOfInspirationConcept.getSuccessStory() != null %}
                        <h3 class="fs-4">Erfolgsstory</h3>
                        <p>
                            {{ hallOfInspirationConcept.getSuccessStory() }}
                        </p>
                    {% endif %}

                    {% if hallOfInspirationConcept.videos != null and hallOfInspirationConcept.videos|length > 0 %}
                        <h3 class="fs-4">Video{% if hallOfInspirationConcept.videos|length > 1 %}s{% endif %}</h3>
                        {% for video in hallOfInspirationConcept.videos %}
                            <div class="mb-3">
                                <a href="{{ video }}" target="_blank" class="flex-column material-icons mdc-icon-button mdc-card__action mdc-card__action--icon text-secondary ms-1 align-middle">
                                    <div class="mdc-icon-button__ripple"></div>
                                    ondemand_video
                                </a>
                                <a href="{{ video }}" target="_blank">{{ video }}</a>
                            </div>
                        {% endfor %}
                    {% endif %}
                </div>
            </div>
            <div class="col-12 col-lg-4">
                <div class="mdc-card mb-4 p-4 h-100">
                    <h3 class="fs-4">Standorte</h3>
                    <p class="mb-1">
                        {{ hallOfInspirationConcept.getNumberOfCompanyLocations() }}
                        Standort{% if hallOfInspirationConcept.numberOfCompanyLocations() > 1 %}e{% endif %}
                    </p>
                    {% if hallOfInspirationConcept.getCompanyLocations() != null %}
                        <p class="small">
                            {% set companyLocations = [] %}
                            {% for companyLocation in hallOfInspirationConcept.getCompanyLocations() %}
                                {% set companyLocations = companyLocations|merge([companyLocation.getName()]) %}
                            {% endfor %}
                            {{ companyLocations|join(', ') }}
                        </p>
                    {% endif %}

                    <h3 class="fs-4">{% if hallOfInspirationConcept.getFlagshipStore() == true %}Flagship-Store{% else %}Firmensitz{% endif %}</h3>
                    <p>
                        {{ hallOfInspirationConcept.getHallOfInspirationConceptAddress().getStreetName() }} {{ hallOfInspirationConcept.getHallOfInspirationConceptAddress().getHouseNumber() }}<br>
                        {{ hallOfInspirationConcept.getHallOfInspirationConceptAddress().getPostalCode() }} {{ hallOfInspirationConcept.getHallOfInspirationConceptAddress().getPlaceName() }}<br>
                        {{ hallOfInspirationConcept.getHallOfInspirationConceptAddress().getFederalState() }}
                    </p>
                    {% if hallOfInspirationConcept.getWebsite() != null %}
                        <p>
                        <a href="{{ hallOfInspirationConcept.getWebsite() }}" target="_blank">
                            {{ hallOfInspirationConcept.getWebsite() }}
                        </a>
                        </p>
                    {% endif %}
                    {% if hallOfInspirationConcept.getExpansionPlans() != null %}
                        <h3 class="fs-4 mt-3">Expansionspläne</h3>
                        <p class="mb-1">
                            {{ hallOfInspirationConcept.getExpansionPlans() }}
                        </p>
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
{% endblock %}
